Bug 106952 - mpage setduplexmode output croaks on HP LaserJet 5m
mpage setduplexmode output croaks on HP LaserJet 5m
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mpage (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-13 18:16 EDT by Orion Poplawski
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: mpage-2.5.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-07 10:56:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2003-10-13 18:16:27 EDT
Description of problem:
  
mpage sends the following when not told to use duplex printing:

statusdict /setduplexmode known { statusdict begin false setduplexmode end } if

which results in a configuration error on a Laser Jet 5m without a duplex unit.

Version-Release number of selected component (if applicable):
mpage-2.5.3-3

How reproducible:

Every time

Steps to Reproduce:
1.  Setup HP Laser Jet 5m printer with redhat-config-printer
2.  Print ASCII text test page
3.  
    
Actual results:

Postscript error page

Expected results:

The text sent to the printer

Additional info:

proposed patch:

--- mpage-2.5.3/mpage.c.setduplexmode   2003-10-13 15:56:45.000000000 -0600
+++ mpage-2.5.3/mpage.c 2003-10-13 15:56:55.000000000 -0600
@@ -241,11 +241,6 @@
            fprintf(outfd, "{ statusdict begin true settumble end } if\n");
        }
     }
-    else {
-       /* CAN WE DO THIS FOR PRINTERS THAT DO NOT NDERSTAND DUPLEX PRINTING??? */
-       fprintf(outfd, "statusdict /setduplexmode known");
-       fprintf(outfd, " { statusdict begin false setduplexmode end } if\n");
-    }

     if (opt_encoding) {
         fprintf(outfd,
Comment 1 Orion Poplawski 2004-12-07 10:56:53 EST
This code is commented out in mpage-2.5.4, so this should be resolved in FC3:

    else {
       /*
        * CAN WE DO THIS FOR PRINTERS THAT DO NOT NDERSTAND DUPLEX PRINTING???
        * It also seems to break for example the lp -o duplex command.
        * So better switch this part of.
        */
#if 0
       fprintf(outfd, "statusdict /setduplexmode known");
       fprintf(outfd, " { statusdict begin false setduplexmode end } if\n");
#endif
    }

Note You need to log in before you can comment on or make changes to this bug.